Skip to Content
SeyloDocs

List who has access to a service

GET
/api/v1/grants.listByService

Lists the grants on a service and the project grants that also cover it (inherited is true for those).

Needs grants.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
grants*array<>
Example Request
curl -X GET 'https://example.com/api/v1/grants.listByService?serviceId=string'
Example Response
{  "grants": [    {      "grant": {        "id": "string",        "userId": "string",        "scopeType": "project",        "scopeId": "string",        "scopeName": "string",        "projectId": "string",        "actions": [          "string"        ],        "createdBy": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "user": {        "id": "string",        "email": "string",        "name": "string"      },      "inherited": true    }  ]}